import * as Generator from './prisma.generator';
export type WithDatabase<Context> = Generator.WithDatabase<Context>;
export declare const databasePrismaGenerator: import("@postxl/generator").GeneratorInterface;
export declare const databaseGeneratorId: string & import("zod").$brand<"PXL.GeneratorInterfaceId">;
export declare const databasePrismaGeneratorId: string & import("zod").$brand<"PXL.GeneratorInterfaceId">;
